// import 'source-map-support/register';
import { SendTarget } from 'koishi-target-def';
import { SchemaProperty, RegisterSchema } from 'koishi-thirdeye';

class RelayConfig {
  @SchemaProperty()
  from: SendTarget;

  @SchemaProperty()
  to: SendTarget;

  @SchemaProperty({ type: SendTarget })
  cc: SendTarget[];
}

@RegisterSchema()
export class RelayCoreConfig extends RelayConfig {}

@RegisterSchema()
export class RelayPluginConfig extends RelayConfig {
  constructor(config: RelayPluginConfigLike) {
    super();
  }

  @SchemaProperty({ description: '是否双边转发', default: true })
  duplex: boolean;
}

export type RelayPluginConfigLike = Partial<RelayPluginConfig>;
